# even if used by portfolio, this is in fact not closely related to portfolio.
# It is prefixed with portfolio, because first it seemed as if it was only for portfolio.
#
# Better name would have been special_education_focus (Förderschwerpunkt)
class PortfolioSpecialization < ActiveRecord::Base

  has_many :portfolio_items,
           foreign_key: :portfolio_specialization_id,
           class_name: '::Portfolio::Item',
           inverse_of: nil

  def can_be_deleted?
    ! portfolio_items.any?
  end
end
