module CsbApi
  class TeacherInstitutionCategory < CsbApi::Base
    def self.table_name; "teacher-institution-categories"; end
    def build_model(model = ::TeacherInstitutionCategory.new)
      model.attributes={
          name: read_attribute('name'),
          description: read_attribute('description'),
          is_management: read_attribute('is-management')
      }
      return model
    end
    alias :populate_model :build_model
  end
end
