module Portfolio
  class EvaluationPresentValidator < ItemValidator

      # @param item ::Portfolio::Item
      def match?(item)
        item.target_agreements.each do |target|
          return true if target.evaluation.present? # target agreements with evaluations are available on all types of portfolio
        end
        return false
    end
  end
end
