module Portfolio
  class MeasurementPresentValidator< ItemValidator
      def match?(item)
        return true if item.measurements.reject(&:marked_for_destruction?).any? # free measurements are always available in portfolio items
        return false
      end
    end
end
