# <%= pager_media_list_widget  id: 'library-suggestions-pager', items: @library_suggestions, per_slice: 1 do |item| %>
#    <%= item %>
# <% end %>

# <%= pager_control_widget  id: 'library-suggestions-pager', items: @library_suggestions, per_slice: 1 do |item| %>
#    <li><%= item %></li>
# <% end %>
class PagerMediaListWidget  < ActionWidget::Base
    property :id, required: true
    property :items, required: true
    property :per_slice, default: 5



    def render( &block )
      content_tag(:div, { id: id }, {}, false) do
        items.each_slice(per_slice).collect do |slice|
          content_tag(:ul, options.merge( { class: %W(media-list media-timeline pager-page nomg) } ){|k,o,v| o+v if k==:class } ,{}, false) do
            idx=-1
            slice.collect do |item|
              view.capture( item, (idx+=1) , &block )
            end.join.html_safe
          end
        end.join.html_safe
      end
    end
end



