class CreateClientGroupHistories < ActiveRecord::Migration
  def change
    create_table :client_group_histories do |t|
      t.references :client_group, index: true, foreign_key: true
      t.references :teacher, index: true, foreign_key: true
      t.text :description
      t.date :start_date
      t.date :end_date

      t.timestamps null: false
    end
  end
end
