require 'test_helper'

class ClientGroupHistoriesControllerTest < ActionController::TestCase
  setup do
    @client_group_history = client_group_histories(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:client_group_histories)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create client_group_history" do
    assert_difference('ClientGroupHistory.count') do
      post :create, client_group_history: { client_group_id: @client_group_history.client_group_id, description: @client_group_history.description, end_date: @client_group_history.end_date, start_date: @client_group_history.start_date, teacher_id: @client_group_history.teacher_id }
    end

    assert_redirected_to client_group_history_path(assigns(:client_group_history))
  end

  test "should show client_group_history" do
    get :show, id: @client_group_history
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @client_group_history
    assert_response :success
  end

  test "should update client_group_history" do
    patch :update, id: @client_group_history, client_group_history: { client_group_id: @client_group_history.client_group_id, description: @client_group_history.description, end_date: @client_group_history.end_date, start_date: @client_group_history.start_date, teacher_id: @client_group_history.teacher_id }
    assert_redirected_to client_group_history_path(assigns(:client_group_history))
  end

  test "should destroy client_group_history" do
    assert_difference('ClientGroupHistory.count', -1) do
      delete :destroy, id: @client_group_history
    end

    assert_redirected_to client_group_histories_path
  end
end
