module Portfolio
  class ItemInvolvedPerson < ::ActiveRecord::Base
    self.table_name = 'portfolio_item_involved_people'
    self.inheritance_column = nil

    belongs_to :portfolio_item,
            class_name: '::Portfolio::Item',
            foreign_key: :portfolio_item_id,
            inverse_of: :portfolio_item_involved_people
    delegate :portfolio_subject, to: :portfolio_item

    validates :name, length: {minimum: 5}
  end
end

