module CsbApi
  class TeacherCategory < CsbApi::Base
    def self.table_name; "teacher-categories"; end
    def build_model(model = ::TeacherCategory.new)
      model.attributes={
          name: read_attribute('name'),
          description: read_attribute('description'),
          is_special_ed: read_attribute('is-special-ed'),
          is_support_teacher: read_attribute('is-support-teacher')
      }
      return model
    end
    alias :populate_model :build_model
  end
end
