class ChangeAdvancementPlans < ActiveRecord::Migration
  def change
    drop_table :advancement_plans do |t|
        t.string :name
        t.string :abbreviation
        t.timestamps null: false
    end
    create_table :advancement_plans do |t|
      t.string :catalog_id, null: false
      t.string :title, null: false, index: true
      t.string :authors
      t.string :year
      t.string :subtitle
      t.string :abbreviation
      t.integer :min_level
      t.integer :max_level
      t.text :short_description
      t.text :description
      t.string :url
      t.timestamps null: false
    end
  end
end
