class SemesterSystemSetting < ActiveRecord::Migration
  def change
    add_reference :system_settings, :semester
    add_reference :clients, :next_semester_client_group
    add_column :semesters, :csb_updated_at, :datetime
    add_column :semesters, :csb_id, :integer
    remove_column :semesters, :active, :boolean
    remove_column :semesters, :semester_id, :integer
    remove_column :semesters, :description, :string
  end
end
