require 'test_helper'

class InstitutionTest < ActiveSupport::TestCase
=begin
   test 'validates email' do
     institution = Institution.new
     assert (not single_ar_attribute_valid? institution, :email, 'invalid')
     institution.errors.clear
     assert single_ar_attribute_valid? institution, :email, 'valid@example.de'
     institution.errors.clear;
   end

   test 'validates name' do
     institution = Institution.new
     # is name present?
     assert (not single_ar_attribute_valid? institution, :name, nil); institution.errors.clear;
     assert (not single_ar_attribute_valid? institution, :name, ''); institution.errors.clear;
     # is name  not too long
     assert (not single_ar_attribute_valid? institution, :name, 'x' * 256); institution.errors.clear;
     # is valid name accepted?
     assert single_ar_attribute_valid? institution, :name, 'Gutenbergschule'
     institution.errors.clear;
   end

   test 'validates school_no' do
     institution = Institution.new
     # is name present?
     assert (not single_ar_attribute_valid? institution, :school_no, nil); institution.errors.clear;
     assert (not single_ar_attribute_valid? institution, :school_no, ''); institution.errors.clear;
     # is name  not too long
     assert (not single_ar_attribute_valid? institution, :school_no, 'x' * 256); institution.errors.clear;
     # is valid number accepted?
     assert single_ar_attribute_valid? institution, :school_no, 'ab123'
     institution.errors.clear;
   end

   test 'validates allocation_formula' do
     institution = Institution.new
     institution.institution_category = InstitutionCategory.new(name: 'test',description: 'test', is_school: false)
     # if it is not school and new record, is default set to 1?
     institution.valid?
     assert( institution.allocation_formula == 1 )
     institution.errors.clear;
     # if it is not school and existing record, is checked to be 1?
     institution.allocation_formula= 2
     institution.valid? :update
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear

     institution.allocation_formula= 1
     institution.valid? :update
     assert_empty institution.errors[ :allocation_formula ]
     institution.errors.clear


     institution = Institution.new
     institution.institution_category = InstitutionCategory.new(name: 'test',description: 'test', is_school: true)
     # if it is school, is field mandatory in all scenario
     institution.allocation_formula= nil
     institution.valid? :create
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear
     institution.valid? :update
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear

     # if it is school, is field integer >= 1?
     institution.allocation_formula= 2
     institution.valid? :create
     assert_empty institution.errors[ :allocation_formula ]
     institution.errors.clear
     institution.valid? :update
     assert_empty institution.errors[ :allocation_formula ]
     institution.errors.clear

     institution.allocation_formula= 0
     institution.valid? :create
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear
     institution.valid? :update
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear

     institution.allocation_formula='a'
     institution.valid? :create
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear
     institution.valid? :update
     assert_not_empty institution.errors[ :allocation_formula ]
     institution.errors.clear
   end


   test 'validates fax' do
     institution = Institution.new
     # may be omitted?
     assert ( single_ar_attribute_valid? institution, :fax, nil); institution.errors.clear;
     assert ( single_ar_attribute_valid? institution, :fax, ''); institution.errors.clear;
     # is phone number?
     assert (not single_ar_attribute_valid? institution, :fax, 'not a phone'); institution.errors.clear;
     assert (not single_ar_attribute_valid? institution, :fax, '123'); institution.errors.clear;
     assert (single_ar_attribute_valid? institution, :fax, '0221536772333'); institution.errors.clear;
   end

   test 'validates website' do
     institution = Institution.new
     # may be omitted?
     institution.website=nil
     institution.valid?
     assert_empty institution.errors[ :website ]
     institution.errors.clear

     institution.website=''
     institution.valid?
     assert_empty institution.errors[ :website ]
     institution.errors.clear

     # is website?
     institution.website='not a website'
     institution.valid?
     assert_not_empty institution.errors[ :website ]
     institution.errors.clear

     institution.website='google.de' # scheme must be present
     institution.valid?
     assert_not_empty institution.errors[ :website ]
     institution.errors.clear

     institution.website='http://www.google.de'
     institution.valid?
     assert_empty institution.errors[ :website ]
     institution.errors.clear
   end

   test 'validates comment' do
     institution = Institution.new
     # may be omitted?
     assert ( single_ar_attribute_valid? institution, :comment, nil); institution.errors.clear;
     assert ( single_ar_attribute_valid? institution, :comment, ''); institution.errors.clear;
     # is not too long?
     assert (not single_ar_attribute_valid? institution, :comment, 'x' * 1025); institution.errors.clear;
     assert (single_ar_attribute_valid? institution, :comment, 'some comment'); institution.errors.clear;
   end

   test 'validates description' do
     institution = Institution.new
     # may be omitted?
     assert ( single_ar_attribute_valid? institution, :description, nil); institution.errors.clear;
     assert ( single_ar_attribute_valid? institution, :description, ''); institution.errors.clear;
     # is not too long?
     assert (not single_ar_attribute_valid? institution, :description, 'x' * 1025); institution.errors.clear;
     assert (single_ar_attribute_valid? institution, :description, 'some desc'); institution.errors.clear;
   end
=end

end
