require 'test_helper'
require 'pp'
module PortfolioValidation
  module ItemValidation
      class ValidatorTest < ActiveSupport::TestCase

        # setup do
        #   @validator = Portfolio::Validators::StepValidator.new(
        #       '[  [{"type": "advancement_plan"},{"type": "target_agreements"}],
        #           [{"type": "diagnostic"},{"type": "target_agreements"}],
        #           [{"type": "evaluation","args" : { "time_span_days_min":1,"time_span_days_max":2}}],
        #           [{"type": "involved_person","args" : { "types":["teacher","supporter"] }}],
        #           [{"type": "measurement"},{"type": "target_agreements"}],
        #           [{"type": "request_management_conference"},{"type": "target_agreements"}],
        #           [{"type": "request_parent_teacher_conference"},{"type": "target_agreements"}]
        #       ]'
        #   )
        # end
        #
        # test "initalize all availiable validators" do
        #   assert @validator.requirements[0].length==2
        #   assert @validator.requirements[1].length==2
        #   assert @validator.requirements[2].length==1
        #   assert @validator.requirements[3].length==1
        #   assert @validator.requirements[4].length==2
        #   assert @validator.requirements[5].length==2
        #   assert @validator.requirements[6].length==2
        #   assert @validator.requirements[0][0].is_a? Portfolio::AdvancementPlanPresentValidator::Base
        #   assert @validator.requirements[0][1].is_a? PortfolioValidation::ItemValidation::Validators::TargetAgreements
        #   assert @validator.requirements[1][0].is_a? Portfolio::DiagnosticPresentValidator::Base
        #   assert @validator.requirements[1][1].is_a? PortfolioValidation::ItemValidation::Validators::TargetAgreements
        #   assert @validator.requirements[2][0].is_a? Portfolio::EvaluationPresentValidator
        #   assert @validator.requirements[2][0].time_span_days_min == 1
        #   assert @validator.requirements[2][0].time_span_days_max == 2
        #   assert @validator.requirements[3][0].is_a? Portfolio::InvolvementValidator::Base
        #   assert @validator.requirements[3][0].types == ["teacher","supporter"]
        #   assert @validator.requirements[4][0].is_a? PortfolioValidation::ItemValidation::Validators::Measurement
        #   assert @validator.requirements[4][1].is_a? PortfolioValidation::ItemValidation::Validators::TargetAgreements
        #   assert @validator.requirements[5][0].is_a? PortfolioValidation::ItemValidation::Validators::RequestManagementConference
        #   assert @validator.requirements[5][1].is_a? PortfolioValidation::ItemValidation::Validators::TargetAgreements
        #   assert @validator.requirements[6][0].is_a? PortfolioValidation::ItemValidation::Validators::RequestParentTeacherConference
        #   assert @validator.requirements[6][1].is_a? PortfolioValidation::ItemValidation::Validators::TargetAgreements
        # end
        #
        # test "check advancement_plan validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "advancement_plan"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:advancement_plans].any?
        # end
        #
        # test "check target_agreements validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "target_agreements"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:target_agreements].any?
        # end
        #
        # test "check diagnostics validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "diagnostic"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:diagnostics].any?
        # end
        #
        # test "check Evaluation validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "evaluation"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   item.target_agreements.build
        #   assert validator.validate(item) == false
        #   assert item.errors[:target_agreements].any?
        # end
        #
        # test "check Evaluation time span validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "evaluation","args":{"time_span_days_min":1,"time_span_days_max":2}}]]'
        #   )
        #   item = ::Portfolio::Item.new({start: Date.new(2000,1,1)})
        #   item.target_agreements.build
        #   item.target_agreements.first.build_evaluation({end_date: Date.new(2000,1,5)})
        #   assert validator.validate(item) == false
        #   assert item.target_agreements.first.evaluation.errors[:end_date].any?
        #   assert item.errors[:start].any?
        # end
        #
        # test "check InvolvedPerson validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "involved_person"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:involved_teachers].any?
        # end
        #
        # test "check measurement validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "measurement"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:measurements].any?
        # end
        #
        # test "check request mgmt conf validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "request_management_conference"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:management_conference].any?
        # end
        #
        # test "check request pt conf validator" do
        #   validator = Portfolio::Validators::StepValidator.new(
        #       '[[{"type": "request_parent_teacher_conference"}]]'
        #   )
        #   item = ::Portfolio::Item.new
        #   assert validator.validate(item) == false
        #   assert item.errors[:parent_teacher_conference].any?
        # end
    end
  end
end