ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'

class ActiveSupport::TestCase
  # Setup all fixtures in test/fixtures/*.yml for all tests in alphabetical order.
   #set_fixture_class portfolio_conditions: ::Portfolio::Condition
  # set_fixture_class portfolio_document_types: ::Portfolio::DocumentType
  # set_fixture_class portfolio_rules: ::Portfolio::Rule
  # set_fixture_class portfolio_step_results: ::Portfolio::StepResult
  # set_fixture_class portfolio_rule_steps: ::Portfolio::RuleStep
   #set_fixture_class portfolio_steps: ::Portfolio::Step

  #fixtures :all

  # Add more helper methods to be used by all tests here...
  #
  #
  def single_ar_attribute_valid? ( record, attribute, value )
    record.class.validators_on(attribute).each do |validator|
      validator.validate_each(record, attribute, value )
    end
    record.errors[attribute].empty?
  end
end

class ActionController::TestCase
  include Devise::TestHelpers
end
